Get Post Analytics
curl --request GET \
--url https://api.openpmm.com/v1/workspaces/{workspace_id}/analytics/posts/{post} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openpmm.com/v1/workspaces/{workspace_id}/analytics/posts/{post}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openpmm.com/v1/workspaces/{workspace_id}/analytics/posts/{post}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "post_analytics",
"post": "send_01JABCDEF",
"group": "launch-2026-08",
"channel": "x",
"published_at": "2026-08-09T12:00:00.000Z",
"state": "pending",
"metrics": {
"views": 1,
"impressions": 1,
"comments": 1,
"reactions": 1,
"shares": 1,
"saves": 1,
"link_clicks": 1
},
"fetched_at": "2026-08-09T12:00:00.000Z",
"provider_as_of": "2026-08-09T12:00:00.000Z",
"next_automatic_refresh_at": "2026-08-09T12:00:00.000Z",
"last_error": {
"code": "<string>",
"message": "<string>",
"at": "2026-08-09T12:00:00.000Z"
}
}{
"type": "https://www.openpmm.com/docs/reference/errors#public_invalid_request",
"title": "Invalid request",
"status": 400,
"detail": "The request body does not match the public contract.",
"instance": "urn:openpmm:request:req_01JABCDEF",
"code": "public_invalid_request",
"category": "validation",
"request_id": "req_01JABCDEF",
"retryable": false,
"retry": {
"safety": "not_retryable",
"after": null
},
"user_action": "check_request",
"errors": [
{
"pointer": "/posts/0/destination_id",
"code": "custom",
"detail": "Publishing an entry requires a destination."
}
]
}{
"type": "https://www.openpmm.com/docs/reference/errors#public_invalid_request",
"title": "Invalid request",
"status": 400,
"detail": "The request body does not match the public contract.",
"instance": "urn:openpmm:request:req_01JABCDEF",
"code": "public_invalid_request",
"category": "validation",
"request_id": "req_01JABCDEF",
"retryable": false,
"retry": {
"safety": "not_retryable",
"after": null
},
"user_action": "check_request",
"errors": [
{
"pointer": "/posts/0/destination_id",
"code": "custom",
"detail": "Publishing an entry requires a destination."
}
]
}{
"type": "https://www.openpmm.com/docs/reference/errors#public_invalid_request",
"title": "Invalid request",
"status": 400,
"detail": "The request body does not match the public contract.",
"instance": "urn:openpmm:request:req_01JABCDEF",
"code": "public_invalid_request",
"category": "validation",
"request_id": "req_01JABCDEF",
"retryable": false,
"retry": {
"safety": "not_retryable",
"after": null
},
"user_action": "check_request",
"errors": [
{
"pointer": "/posts/0/destination_id",
"code": "custom",
"detail": "Publishing an entry requires a destination."
}
]
}{
"type": "https://www.openpmm.com/docs/reference/errors#public_invalid_request",
"title": "Invalid request",
"status": 400,
"detail": "The request body does not match the public contract.",
"instance": "urn:openpmm:request:req_01JABCDEF",
"code": "public_invalid_request",
"category": "validation",
"request_id": "req_01JABCDEF",
"retryable": false,
"retry": {
"safety": "not_retryable",
"after": null
},
"user_action": "check_request",
"errors": [
{
"pointer": "/posts/0/destination_id",
"code": "custom",
"detail": "Publishing an entry requires a destination."
}
]
}{
"type": "https://www.openpmm.com/docs/reference/errors#public_invalid_request",
"title": "Invalid request",
"status": 400,
"detail": "The request body does not match the public contract.",
"instance": "urn:openpmm:request:req_01JABCDEF",
"code": "public_invalid_request",
"category": "validation",
"request_id": "req_01JABCDEF",
"retryable": false,
"retry": {
"safety": "not_retryable",
"after": null
},
"user_action": "check_request",
"errors": [
{
"pointer": "/posts/0/destination_id",
"code": "custom",
"detail": "Publishing an entry requires a destination."
}
]
}Analytics
Get Post Analytics
Get the latest stored analytics for one published Post. This operation does not call the provider.
GET
/
workspaces
/
{workspace_id}
/
analytics
/
posts
/
{post}
Get Post Analytics
Authorizations
Send an account API key in the Authorization: Bearer <key> header.
Headers
Optional request ID. OpenPMM returns this value when it is valid. Otherwise, OpenPMM creates a request ID.
Maximum string length:
128Path Parameters
Unique workspace ID.
Example:
"ws_01JABCDEF"
Unique Post ID.
Example:
"send_01JABCDEF"
Response
The current Post analytics.
Allowed value:
"post_analytics"Unique Post ID.
Example:
"send_01JABCDEF"
A value that groups related posts.
Required string length:
1 - 200Pattern:
^[A-Za-z0-9_-]+$Example:
"launch-2026-08"
Available options:
bluesky, facebook, instagram, threads, mastodon, x, linkedin, tiktok, youtube Example:
"x"
Example:
"2026-08-09T12:00:00.000Z"
Available options:
pending, running, ready, failed, reauthorization-required, unsupported Show child attributes
Show child attributes
Example:
"2026-08-09T12:00:00.000Z"
Example:
"2026-08-09T12:00:00.000Z"
Example:
"2026-08-09T12:00:00.000Z"
Show child attributes
Show child attributes
